> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Self Serve Get Transaction Status

> Polls the Safe service for a proposal's status, syncs proposal/payroll state, and completes paid invoices with emails.

Not available to API keys yet. It will need `payments:write`.

## OpenAPI

````yaml api-reference/openapi.json GET /hris/self-serve-get-transaction-status
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/self-serve-get-transaction-status:
    get:
      operationId: selfServeGetTransactionStatus
      summary: Self Serve Get Transaction Status
      description: >-
        Polls the Safe service for a proposal's status, syncs proposal/payroll
        state, and completes paid invoices with emails.


        Not available to API keys yet. It will need `payments:write`.
      parameters:
        - name: proposalID
          in: query
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SelfServeGetTransactionStatusResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    SelfServeGetTransactionStatusResponse:
      type: object
      properties:
        proposalID:
          type: string
        safeTxHash:
          type: string
        status:
          type: string
          enum:
            - PENDING_SIGNATURES
            - AWAITING_EXECUTION
            - EXECUTED
            - FAILED
            - CANCELLED
        confirmations:
          type: number
        threshold:
          type: number
        isExecuted:
          type: boolean
        executionTxHash:
          type:
            - string
            - 'null'
        executedAt:
          type:
            - string
            - 'null'
        proposedAt:
          type: string
        safeAppUrl:
          type: string
        reconciliationStatus:
          const: FINANCE_REVIEW_REQUIRED
        message:
          type: string
      required:
        - proposalID
        - safeTxHash
        - status
        - confirmations
        - threshold
        - isExecuted
        - executionTxHash
        - executedAt
        - proposedAt
        - safeAppUrl
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
